package com.ruoyi.api.mapper;

import com.ruoyi.api.domain.APKVersion;
import com.ruoyi.api.domain.PdaApkVersion;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 手持版本升级Mapper接口
 * 
 * @author ruoyi
 * @date 2023-04-06
 */
@Repository
public interface PdaApkVersionMapper 
{
    /**
     * 查询手持版本升级
     * 
     * @param objid 手持版本升级主键
     * @return 手持版本升级
     */
    public PdaApkVersion selectPdaApkVersionByObjid(Long objid);

    /**
     * 查询手持版本升级列表
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 手持版本升级集合
     */
    public List<PdaApkVersion> selectPdaApkVersionList(PdaApkVersion pdaApkVersion);

    /**
     * 新增手持版本升级
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    public int insertPdaApkVersion(PdaApkVersion pdaApkVersion);

    /**
     * 修改手持版本升级
     * 
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    public int updatePdaApkVersion(PdaApkVersion pdaApkVersion);

    /**
     * 删除手持版本升级
     * 
     * @param objid 手持版本升级主键
     * @return 结果
     */
    public int deletePdaApkVersionByObjid(Long objid);

    /**
     * 批量删除手持版本升级
     * 
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePdaApkVersionByObjids(String[] objids);


}
