package com.ruoyi.api.service;

import com.ruoyi.api.domain.APKVersion;
import com.ruoyi.api.domain.PdaApkVersion;

import java.util.List;

/**
 * 手持版本升级Service接口
 *
 * @author ruoyi
 * @date 2023-04-06
 */
public interface IPdaApkVersionService {

    /**
     * 查询手持版本升级
     *
     * @param objid 手持版本升级主键
     * @return 手持版本升级
     */
    public PdaApkVersion selectPdaApkVersionByObjid(Long objid);

    /**
     * 查询手持版本升级列表
     *
     * @param pdaApkVersion 手持版本升级
     * @return 手持版本升级集合
     */
    public List<PdaApkVersion> selectPdaApkVersionList(PdaApkVersion pdaApkVersion);

    /**
     * 新增手持版本升级
     *
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    public int insertPdaApkVersion(PdaApkVersion pdaApkVersion);

    /**
     * 修改手持版本升级
     *
     * @param pdaApkVersion 手持版本升级
     * @return 结果
     */
    public int updatePdaApkVersion(PdaApkVersion pdaApkVersion);

    /**
     * 批量删除手持版本升级
     *
     * @param objids 需要删除的手持版本升级主键集合
     * @return 结果
     */
    public int deletePdaApkVersionByObjids(String objids);

    /**
     * 删除手持版本升级信息
     *
     * @param objid 手持版本升级主键
     * @return 结果
     */
    public int deletePdaApkVersionByObjid(Long objid);


}
