package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.BaseManufacturer;
import org.springframework.stereotype.Repository;
/**
 * 轮挡厂家管理Mapper接口
 *
 * @author wangh
 * @date 2023-12-18
 */
@Repository
public interface BaseManufacturerMapper
{
    /**
     * 查询轮挡厂家管理
     *
     * @param manufacturerId 轮挡厂家管理主键
     * @return 轮挡厂家管理
     */
    public BaseManufacturer selectBaseManufacturerByManufacturerId(Long manufacturerId);

    /**
     * 查询轮挡厂家管理列表
     *
     * @param baseManufacturer 轮挡厂家管理
     * @return 轮挡厂家管理集合
     */
    public List<BaseManufacturer> selectBaseManufacturerList(BaseManufacturer baseManufacturer);

    /**
     * 新增轮挡厂家管理
     *
     * @param baseManufacturer 轮挡厂家管理
     * @return 结果
     */
    public int insertBaseManufacturer(BaseManufacturer baseManufacturer);

    /**
     * 修改轮挡厂家管理
     *
     * @param baseManufacturer 轮挡厂家管理
     * @return 结果
     */
    public int updateBaseManufacturer(BaseManufacturer baseManufacturer);

    /**
     * 删除轮挡厂家管理
     *
     * @param manufacturerId 轮挡厂家管理主键
     * @return 结果
     */
    public int deleteBaseManufacturerByManufacturerId(Long manufacturerId);

    /**
     * 批量删除轮挡厂家管理
     *
     * @param manufacturerIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseManufacturerByManufacturerIds(String[] manufacturerIds);
}
