package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.LedgerRfid;
import com.ruoyi.manage.domain.ResultBeen;
import org.springframework.stereotype.Repository;
/**
 * 轮挡台账Mapper接口
 *
 * @author wangh
 * @date 2024-01-17
 */
@Repository
public interface LedgerRfidMapper
{
    /**
     * 查询轮挡台账
     *
     * @param objid 轮挡台账主键
     * @return 轮挡台账
     */
    public LedgerRfid selectLedgerRfidByObjid(Long objid);

    /**
     * 查询轮挡台账列表
     *
     * @param ledgerRfid 轮挡台账
     * @return 轮挡台账集合
     */
    public List<LedgerRfid> selectLedgerRfidList(LedgerRfid ledgerRfid);

    /**
     * 新增轮挡台账
     *
     * @param ledgerRfid 轮挡台账
     * @return 结果
     */
    public int insertLedgerRfid(LedgerRfid ledgerRfid);

    /**
     * 修改轮挡台账
     *
     * @param ledgerRfid 轮挡台账
     * @return 结果
     */
    public int updateLedgerRfid(LedgerRfid ledgerRfid);

    /**
     * 删除轮挡台账
     *
     * @param objid 轮挡台账主键
     * @return 结果
     */
    public int deleteLedgerRfidByObjid(Long objid);

    /**
     * 批量删除轮挡台账
     *
     * @param objids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLedgerRfidByObjids(String[] objids);

    int countWasteNumber();

    List<ResultBeen> countRfid();
}
