package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.RecordInspectionInfo;
import org.springframework.stereotype.Repository;
/**
 * 盘点数据记录Mapper接口
 *
 * @author wangh
 * @date 2024-02-18
 */
@Repository
public interface RecordInspectionInfoMapper
{
    /**
     * 查询盘点数据记录
     *
     * @param inspectionId 盘点数据记录主键
     * @return 盘点数据记录
     */
    public RecordInspectionInfo selectRecordInspectionInfoByInspectionId(Long inspectionId);

    /**
     * 查询盘点数据记录列表
     *
     * @param recordInspectionInfo 盘点数据记录
     * @return 盘点数据记录集合
     */
    public List<RecordInspectionInfo> selectRecordInspectionInfoList(RecordInspectionInfo recordInspectionInfo);

    /**
     * 新增盘点数据记录
     *
     * @param recordInspectionInfo 盘点数据记录
     * @return 结果
     */
    public int insertRecordInspectionInfo(RecordInspectionInfo recordInspectionInfo);

    /**
     * 修改盘点数据记录
     *
     * @param recordInspectionInfo 盘点数据记录
     * @return 结果
     */
    public int updateRecordInspectionInfo(RecordInspectionInfo recordInspectionInfo);

    /**
     * 删除盘点数据记录
     *
     * @param inspectionId 盘点数据记录主键
     * @return 结果
     */
    public int deleteRecordInspectionInfoByInspectionId(Long inspectionId);

    /**
     * 批量删除盘点数据记录
     *
     * @param inspectionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordInspectionInfoByInspectionIds(String[] inspectionIds);
}
