package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.RecordInspection;

/**
 * 巡检记录Service接口
 * 
 * @author wangh
 * @date 2024-02-18
 */
public interface IRecordInspectionService 
{
    /**
     * 查询巡检记录
     * 
     * @param inspectionId 巡检记录主键
     * @return 巡检记录
     */
    public RecordInspection selectRecordInspectionByInspectionId(Long inspectionId);

    /**
     * 查询巡检记录列表
     * 
     * @param recordInspection 巡检记录
     * @return 巡检记录集合
     */
    public List<RecordInspection> selectRecordInspectionList(RecordInspection recordInspection);

    /**
     * 新增巡检记录
     * 
     * @param recordInspection 巡检记录
     * @return 结果
     */
    public int insertRecordInspection(RecordInspection recordInspection);

    /**
     * 修改巡检记录
     * 
     * @param recordInspection 巡检记录
     * @return 结果
     */
    public int updateRecordInspection(RecordInspection recordInspection);

    /**
     * 批量删除巡检记录
     * 
     * @param inspectionIds 需要删除的巡检记录主键集合
     * @return 结果
     */
    public int deleteRecordInspectionByInspectionIds(String inspectionIds);

    /**
     * 删除巡检记录信息
     * 
     * @param inspectionId 巡检记录主键
     * @return 结果
     */
    public int deleteRecordInspectionByInspectionId(Long inspectionId);
}
