package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.RecordInspectionTask;

/**
 * 巡检机位信息Service接口
 * 
 * @author wangh
 * @date 2024-09-25
 */
public interface IRecordInspectionTaskService 
{
    /**
     * 查询巡检机位信息
     * 
     * @param objid 巡检机位信息主键
     * @return 巡检机位信息
     */
    public RecordInspectionTask selectRecordInspectionTaskByObjid(Long objid);

    /**
     * 查询巡检机位信息列表
     * 
     * @param recordInspectionTask 巡检机位信息
     * @return 巡检机位信息集合
     */
    public List<RecordInspectionTask> selectRecordInspectionTaskList(RecordInspectionTask recordInspectionTask);

    /**
     * 新增巡检机位信息
     * 
     * @param recordInspectionTask 巡检机位信息
     * @return 结果
     */
    public int insertRecordInspectionTask(RecordInspectionTask recordInspectionTask);

    /**
     * 修改巡检机位信息
     * 
     * @param recordInspectionTask 巡检机位信息
     * @return 结果
     */
    public int updateRecordInspectionTask(RecordInspectionTask recordInspectionTask);

    /**
     * 批量删除巡检机位信息
     * 
     * @param objids 需要删除的巡检机位信息主键集合
     * @return 结果
     */
    public int deleteRecordInspectionTaskByObjids(String objids);

    /**
     * 删除巡检机位信息信息
     * 
     * @param objid 巡检机位信息主键
     * @return 结果
     */
    public int deleteRecordInspectionTaskByObjid(Long objid);
}
