package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.RecordInvalidatedImg;

/**
 * 轮挡报废图片记录Service接口
 * 
 * @author wangh
 * @date 2024-09-27
 */
public interface IRecordInvalidatedImgService 
{
    /**
     * 查询轮挡报废图片记录
     * 
     * @param objid 轮挡报废图片记录主键
     * @return 轮挡报废图片记录
     */
    public RecordInvalidatedImg selectRecordInvalidatedImgByObjid(Long objid);

    /**
     * 查询轮挡报废图片记录列表
     * 
     * @param recordInvalidatedImg 轮挡报废图片记录
     * @return 轮挡报废图片记录集合
     */
    public List<RecordInvalidatedImg> selectRecordInvalidatedImgList(RecordInvalidatedImg recordInvalidatedImg);

    /**
     * 新增轮挡报废图片记录
     * 
     * @param recordInvalidatedImg 轮挡报废图片记录
     * @return 结果
     */
    public int insertRecordInvalidatedImg(RecordInvalidatedImg recordInvalidatedImg);

    /**
     * 修改轮挡报废图片记录
     * 
     * @param recordInvalidatedImg 轮挡报废图片记录
     * @return 结果
     */
    public int updateRecordInvalidatedImg(RecordInvalidatedImg recordInvalidatedImg);

    /**
     * 批量删除轮挡报废图片记录
     * 
     * @param objids 需要删除的轮挡报废图片记录主键集合
     * @return 结果
     */
    public int deleteRecordInvalidatedImgByObjids(String objids);

    /**
     * 删除轮挡报废图片记录信息
     * 
     * @param objid 轮挡报废图片记录主键
     * @return 结果
     */
    public int deleteRecordInvalidatedImgByObjid(Long objid);
}
