package com.ruoyi.manage.service;

import java.util.List;
import com.ruoyi.manage.domain.RecordStoreCheckInfo;

/**
 * 盘点数据记录Service接口
 * 
 * @author wangh
 * @date 2024-01-22
 */
public interface IRecordStoreCheckInfoService 
{
    /**
     * 查询盘点数据记录
     * 
     * @param checkId 盘点数据记录主键
     * @return 盘点数据记录
     */
    public RecordStoreCheckInfo selectRecordStoreCheckInfoByCheckId(Long checkId);

    /**
     * 查询盘点数据记录列表
     * 
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 盘点数据记录集合
     */
    public List<RecordStoreCheckInfo> selectRecordStoreCheckInfoList(RecordStoreCheckInfo recordStoreCheckInfo);

    /**
     * 新增盘点数据记录
     * 
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 结果
     */
    public int insertRecordStoreCheckInfo(RecordStoreCheckInfo recordStoreCheckInfo);

    /**
     * 修改盘点数据记录
     * 
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 结果
     */
    public int updateRecordStoreCheckInfo(RecordStoreCheckInfo recordStoreCheckInfo);

    /**
     * 批量删除盘点数据记录
     * 
     * @param checkIds 需要删除的盘点数据记录主键集合
     * @return 结果
     */
    public int deleteRecordStoreCheckInfoByCheckIds(String checkIds);

    /**
     * 删除盘点数据记录信息
     * 
     * @param checkId 盘点数据记录主键
     * @return 结果
     */
    public int deleteRecordStoreCheckInfoByCheckId(Long checkId);
}
