package com.ruoyi.manage.service.impl;

import java.util.List;
























import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.manage.mapper.RecordInspectionTaskMapper;
import com.ruoyi.manage.domain.RecordInspectionTask;
import com.ruoyi.manage.service.IRecordInspectionTaskService;
import com.ruoyi.common.core.text.Convert;

/**
 * 巡检机位信息Service业务层处理
 *
 * @author wangh
 * @date 2024-09-25
 */
@Service
public class RecordInspectionTaskServiceImpl implements IRecordInspectionTaskService {
    @Autowired
    private RecordInspectionTaskMapper recordInspectionTaskMapper;

    /**
     * 查询巡检机位信息
     *
     * @param objid 巡检机位信息主键
     * @return 巡检机位信息
     */
    @Override
    public RecordInspectionTask selectRecordInspectionTaskByObjid(Long objid) {
        return recordInspectionTaskMapper.selectRecordInspectionTaskByObjid(objid);
    }

    /**
     * 查询巡检机位信息列表
     *
     * @param recordInspectionTask 巡检机位信息
     * @return 巡检机位信息
     */
    @Override
    public List<RecordInspectionTask> selectRecordInspectionTaskList(RecordInspectionTask recordInspectionTask) {
        return recordInspectionTaskMapper.selectRecordInspectionTaskList(recordInspectionTask);
    }

    /**
     * 新增巡检机位信息
     *
     * @param recordInspectionTask 巡检机位信息
     * @return 结果
     */
    @Override
    public int insertRecordInspectionTask(RecordInspectionTask recordInspectionTask) {






            return recordInspectionTaskMapper.insertRecordInspectionTask(recordInspectionTask);
    }

    /**
     * 修改巡检机位信息
     *
     * @param recordInspectionTask 巡检机位信息
     * @return 结果
     */
    @Override
    public int updateRecordInspectionTask(RecordInspectionTask recordInspectionTask) {
        return recordInspectionTaskMapper.updateRecordInspectionTask(recordInspectionTask);
    }

    /**
     * 批量删除巡检机位信息
     *
     * @param objids 需要删除的巡检机位信息主键
     * @return 结果
     */
    @Override
    public int deleteRecordInspectionTaskByObjids(String objids) {
        return recordInspectionTaskMapper.deleteRecordInspectionTaskByObjids(Convert.toStrArray(objids));
    }

    /**
     * 删除巡检机位信息信息
     *
     * @param objid 巡检机位信息主键
     * @return 结果
     */
    @Override
    public int deleteRecordInspectionTaskByObjid(Long objid) {
        return recordInspectionTaskMapper.deleteRecordInspectionTaskByObjid(objid);
    }
}
