package com.ruoyi.manage.service.impl;

import java.util.List;
















import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.manage.mapper.RecordStoreCheckInfoMapper;
import com.ruoyi.manage.domain.RecordStoreCheckInfo;
import com.ruoyi.manage.service.IRecordStoreCheckInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 盘点数据记录Service业务层处理
 *
 * @author wangh
 * @date 2024-01-22
 */
@Service
public class RecordStoreCheckInfoServiceImpl implements IRecordStoreCheckInfoService {
    @Autowired
    private RecordStoreCheckInfoMapper recordStoreCheckInfoMapper;

    /**
     * 查询盘点数据记录
     *
     * @param checkId 盘点数据记录主键
     * @return 盘点数据记录
     */
    @Override
    public RecordStoreCheckInfo selectRecordStoreCheckInfoByCheckId(Long checkId) {
        return recordStoreCheckInfoMapper.selectRecordStoreCheckInfoByCheckId(checkId);
    }

    /**
     * 查询盘点数据记录列表
     *
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 盘点数据记录
     */
    @Override
    public List<RecordStoreCheckInfo> selectRecordStoreCheckInfoList(RecordStoreCheckInfo recordStoreCheckInfo) {
        return recordStoreCheckInfoMapper.selectRecordStoreCheckInfoList(recordStoreCheckInfo);
    }

    /**
     * 新增盘点数据记录
     *
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 结果
     */
    @Override
    public int insertRecordStoreCheckInfo(RecordStoreCheckInfo recordStoreCheckInfo) {




            return recordStoreCheckInfoMapper.insertRecordStoreCheckInfo(recordStoreCheckInfo);
    }

    /**
     * 修改盘点数据记录
     *
     * @param recordStoreCheckInfo 盘点数据记录
     * @return 结果
     */
    @Override
    public int updateRecordStoreCheckInfo(RecordStoreCheckInfo recordStoreCheckInfo) {
        return recordStoreCheckInfoMapper.updateRecordStoreCheckInfo(recordStoreCheckInfo);
    }

    /**
     * 批量删除盘点数据记录
     *
     * @param checkIds 需要删除的盘点数据记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordStoreCheckInfoByCheckIds(String checkIds) {
        return recordStoreCheckInfoMapper.deleteRecordStoreCheckInfoByCheckIds(Convert.toStrArray(checkIds));
    }

    /**
     * 删除盘点数据记录信息
     *
     * @param checkId 盘点数据记录主键
     * @return 结果
     */
    @Override
    public int deleteRecordStoreCheckInfoByCheckId(Long checkId) {
        return recordStoreCheckInfoMapper.deleteRecordStoreCheckInfoByCheckId(checkId);
    }
}
